Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® OS Smartphones

Reply
Highlighted
New Member
Posts: 1
Registered: ‎02-24-2013
My Device: BlackBerry 9300Curve
My Carrier: Cell C

Urgent help required

Hi guys

 

I have a problem with my blackberry 9300 curve

 

I recently did an update with the blackberry desktop manager the phone installed the update however when i go to my bbm is says "bbm requires the latest version of blackberry id" I press update and  it says "Sorry the software update server is unavailable. Please try again" is there any other way of getting this doen

Elite II
Posts: 7,974
Registered: ‎06-01-2012
My Device: Curve
My Carrier: BSNL

Re: Urgent help required

Hi Neelm

 

Welcome to BlackBerry Support 

 

 

Which version of BBM you have Installed on your device , Currently on our device we need the most recent version of BlackBerry ID software.   , first reboot your device by removing the battery while your device is Powered On after reboot  If earlier you're trying over your mobile network then if you can locate a wifi and switch to wifi.

 

Finally, BlackBerry ID for BlackBerry Smartphone running BlackBerry 6:

 

1. From the home screen of the BlackBerry, click the Options icon.

2. Choose Third Party Applications.

3. Choose BlackBerry ID

4. Press the Menu Key 

5 Click on Check for Update .

 

Try it and see if that helps.

___________________________________________________________________________

Click " Like " if you want to Thank someone.
If Problem Resolves mark the post(s) as " Solution ", so that other can make use of it.